"""recipe

Revision ID: 0e6c5953a63f
Revises: c39eb451a683
Create Date: 2021-11-01 12:11:16.813756

"""
import sqlalchemy as sa

from alembic import op
from sqlalchemy import column, func, table, text
from sqlalchemy.dialects import postgresql


# revision identifiers, used by Alembic.
revision = "0e6c5953a63f"
down_revision = "c39eb451a683"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column("recipes", "product_id", new_column_name="sku_id")
    op.alter_column("recipes", "valid_to", new_column_name="valid_till", existing_type=sa.DATE(), nullable=True)
    op.alter_column("recipes", "valid_from", existing_type=sa.DATE(), nullable=True)
    op.drop_constraint("recipes_product_id_fkey", "recipes", type_="foreignkey")
    op.create_foreign_key(
        op.f("fk_recipes_sku_id_stock_keeping_units"), "recipes", "stock_keeping_units", ["sku_id"], ["id"]
    )
    op.drop_column("recipes", "effective_to")
    op.drop_column("recipes", "effective_from")

    recipe = table(
        "recipes",
        column("sku_id", postgresql.UUID(as_uuid=True)),
        column("valid_from", sa.Date()),
        column("valid_till", sa.Date()),
    )

    op.create_exclude_constraint(
        "uq_recipes_sku_id",
        "recipes",
        (recipe.c.sku_id, "="),
        (func.daterange(recipe.c.valid_from, recipe.c.valid_till, text("'[]'")), "&&"),
    )
    # ### end Alembic commands ###


# delete from recipe_items where recipe_id in (select id from recipes where product_id in (select product_id from recipes group by product_id having count(*) > 1) and effective_to is not null);
# delete from recipes where id in (select id from recipes where product_id in (select product_id from recipes group by product_id having count(*) > 1) and effective_to is not null);


def downgrade():
    pass
