import uuid

from decimal import Decimal
from typing import Optional

from brewman.schemas import to_camel
from brewman.schemas.product import ProductLink
from pydantic import BaseModel


class Batch(BaseModel):
    id_: Optional[uuid.UUID]
    name: str
    sku: ProductLink
    quantity_remaining: Decimal
    rate: Decimal
    tax: Decimal
    discount: Decimal

    class Config:
        alias_generator = to_camel
