import uuid

from decimal import Decimal
from typing import Optional

from brewman.schemas import to_camel
from brewman.schemas.batch import Batch
from pydantic import BaseModel, Field


class Inventory(BaseModel):
    id_: Optional[uuid.UUID]
    batch: Batch
    quantity: Decimal = Field(ge=0, multiple_of=0.01)
    rate: Decimal = Field(ge=0, multiple_of=0.01)
    tax: Decimal = Field(ge=0, multiple_of=0.00001, le=5)
    discount: Decimal = Field(ge=0, multiple_of=0.00001, le=1)
    amount: Optional[Decimal]

    class Config:
        alias_generator = to_camel
