import { AccountType } from './account-type';
import { CostCentre } from './cost-centre';

export class Account {
  id: string | undefined;
  code: number;
  name: string;
  type: AccountType;
  isActive: boolean;
  isReconcilable: boolean;
  isStarred: boolean;
  isFixture: boolean;
  costCentre: CostCentre;

  public constructor(init?: Partial<Account>) {
    this.code = 0;
    this.name = '';
    this.type = new AccountType();
    this.isActive = true;
    this.isReconcilable = false;
    this.isStarred = false;
    this.isFixture = false;
    this.costCentre = new CostCentre();
    Object.assign(this, init);
  }
}
