import { ProductGroup } from './product-group';

export class StockKeepingUnit {
  units: string;
  fraction: number;
  productYield: number;
  costPrice: number;
  salePrice: number;

  public constructor(init?: Partial<StockKeepingUnit>) {
    this.units = '';
    this.fraction = 1;
    this.productYield = 1;
    this.costPrice = 0;
    this.salePrice = 0;
    Object.assign(this, init);
  }
}

export class Product {
  id: string | undefined;
  code: number;
  name: string;
  skus: StockKeepingUnit[];
  fractionUnits: string | undefined;

  isActive: boolean;
  isFixture: boolean;
  isPurchased: boolean;
  isSold: boolean;
  productGroup?: ProductGroup;

  public constructor(init?: Partial<Product>) {
    this.code = 0;
    this.name = '';
    this.skus = [];

    this.isActive = true;
    this.isFixture = false;
    this.isPurchased = true;
    this.isSold = false;
    Object.assign(this, init);
  }
}
