import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { IncentiveResolver } from './incentive-resolver.service';
import { IncentiveComponent } from './incentive.component';

const incentiveRoutes: Routes = [
  {
    path: '',
    component: IncentiveComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'incentive',
    },
    resolve: {
      voucher: IncentiveResolver,
    },
    runGuardsAndResolvers: 'always',
  },
  {
    path: ':id',
    component: IncentiveComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'incentive',
    },
    resolve: {
      voucher: IncentiveResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(incentiveRoutes)],
  exports: [RouterModule],
  providers: [IncentiveResolver],
})
export class IncentiveRoutingModule {}
