import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';

import { NonContractPurchase } from './non-contract-purchase';
import { NonContractPurchaseDatasource } from './non-contract-purchase-datasource';

@Component({
  selector: 'app-non-contract-purchase',
  templateUrl: './non-contract-purchase.component.html',
  styleUrls: ['./non-contract-purchase.component.css'],
})
export class NonContractPurchaseComponent implements OnInit {
  info: NonContractPurchase[] = [];
  dataSource: NonContractPurchaseDatasource = new NonContractPurchaseDatasource(this.info);
  displayedColumns = ['date', 'vendor', 'product', 'contractPrice', 'purchasePrice'];

  constructor(private route: ActivatedRoute, private router: Router) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { info: NonContractPurchase[] };
      this.info = data.info;
      this.dataSource = new NonContractPurchaseDatasource(this.info);
    });
  }

  refresh() {
    this.router.navigate([]);
  }
}
