import { Component, OnInit, ViewChild } from '@angular/core';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';
import { ActivatedRoute } from '@angular/router';

import { ProductGroup } from '../../core/product-group';

import { ProductGroupListDataSource } from './product-group-list-datasource';

@Component({
  selector: 'app-product-group-list',
  templateUrl: './product-group-list.component.html',
  styleUrls: ['./product-group-list.component.css'],
})
export class ProductGroupListComponent implements OnInit {
  @ViewChild(MatPaginator, { static: true }) paginator?: MatPaginator;
  @ViewChild(MatSort, { static: true }) sort?: MatSort;
  list: ProductGroup[] = [];
  dataSource: ProductGroupListDataSource = new ProductGroupListDataSource(this.list);
  /** Columns displayed in the table. Columns IDs can be added, removed, or reordered. */
  displayedColumns = ['name', 'isFixture'];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((value) => {
      const data = value as { list: ProductGroup[] };

      this.list = data.list;
    });
    this.dataSource = new ProductGroupListDataSource(this.list, this.paginator, this.sort);
  }
}
