import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { ProductGroupDetailComponent } from './product-group-detail/product-group-detail.component';
import { ProductGroupListResolver } from './product-group-list-resolver.service';
import { ProductGroupListComponent } from './product-group-list/product-group-list.component';
import { ProductGroupResolver } from './product-group-resolver.service';

const productGroupRoutes: Routes = [
  {
    path: '',
    component: ProductGroupListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cost Centres',
    },
    resolve: {
      list: ProductGroupListResolver,
    },
  },
  {
    path: 'new',
    component: ProductGroupDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cost Centres',
    },
    resolve: {
      item: ProductGroupResolver,
    },
  },
  {
    path: ':id',
    component: ProductGroupDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Cost Centres',
    },
    resolve: {
      item: ProductGroupResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(productGroupRoutes)],
  exports: [RouterModule],
  providers: [ProductGroupListResolver, ProductGroupResolver],
})
export class ProductGroupRoutingModule {}
