import { Account } from '../core/account';
import { User } from '../core/user';

import { RateContractItem } from './rate-contract-item';

export class RateContract {
  id: string | undefined;
  date: string;
  vendor: Account;
  validFrom: string;
  validTill: string;
  narration: string;
  creationDate: string;
  lastEditDate: string;
  user: User;
  items: RateContractItem[];

  public constructor(init?: Partial<RateContract>) {
    this.date = '';
    this.vendor = new Account();
    this.validFrom = '';
    this.validTill = '';
    this.narration = '';
    this.creationDate = '';
    this.lastEditDate = '';
    this.user = new User();
    this.items = [];
    Object.assign(this, init);
  }
}
