import { ProductSku } from '../core/product-sku';

import { RecipeItem } from './recipe-item';

export class Recipe {
  id: string | undefined;
  sku: ProductSku;
  recipeYield: number;
  costPrice: number;
  salePrice: number;
  notes: string;
  items: RecipeItem[];
  validFrom: string;
  validTill: string;

  public constructor(init?: Partial<Recipe>) {
    this.sku = new ProductSku();
    this.recipeYield = 0;
    this.salePrice = 0;
    this.costPrice = 0;
    this.notes = '';
    this.items = [];
    this.validFrom = '';
    this.validTill = '';
    Object.assign(this, init);
  }
}
